$(function () {
    var ModelName = $("#ModelName"),
			mxUser = $("#mxUser"),
            mxSize = $("#mxSize"),
			allFields = $([])
            .add(ModelName)
            .add(mxUser)
            .add(mxSize)
            ;
    function ValidTemp() {
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(ModelName, "模版名称", 3, 16);
        bValid = bValid && checkNumlength(mxUser, "邮局最大用户数", 0, 2147483647);
        bValid = bValid && checkNumlength(mxSize, "邮局容量", 0, 2147483647);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
});